- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#body.BatchCreateAdRulesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#body.aspect)
- [CreateAdRuleRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#CreateAdRuleRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#CreateAdRuleRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#try-it)

Batch creates `AdRule` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/adRules:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `AdRules` will be created. Format: `networks/{networkCode}` The parent field in the CreateAdRuleRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#CreateAdRuleRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules/batchCreate#CreateAdRuleRequest`)`` Required. The `AdRule` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `adRules.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adRules": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules#AdRule`) } ] } ``` |

| Fields ||
|---|---|
| `adRules[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules#AdRule`)`` The `AdRule` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateAdRuleRequest

Request object for `adRules.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "adRule": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules#AdRule`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `AdRule` will be created. Format: `networks/{networkCode}` |
| `adRule` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adRules#AdRule`)`` Required. The `AdRule` to create. |